{% assign html_products = '' %}
{% assign html_buttons = '' %}
{% assign section_title = 'Destaques' %}
{% assign show_section = false %}

{% load_menus position: menu_position %}

{% for menu in loaded_menus %}

  {% assign is_active = false %}
  {% if forloop.first %}
    {% assign is_active = true %}
  {% endif %}

  {% capture html_buttons %}
    {{ html_buttons }}
    <button class="button {% if is_active %}-active{% endif %}" type="button" aria-label="Ver produtos da categoria {{ menu.title }}" data-button-category="{{ menu.tag_id }}">
      {{ menu.title }}
    </button>

  {% endcapture %}

  {% capture html_products %}
    {{ html_products }}


    <div class="content-swiper {% if is_active %}-active{% endif %}" data-swiper-category="{{ menu.tag_id }}">
      <div class="swiper">
        <div class="swiper-wrapper">
          {% if menu.tag_id != blank %}
            {% load_products tag: menu.tag_id per_page: 10 %}
            {% for product in products %}
              {% assign show_section = true %}

              <div class="swiper-slide item">
                {% render "partials/components/product_block", product: product, mobile: mobile, lazy: "swiper-lazy", mobile: mobile, current_shop: current_shop, forloop_products: forloop %}
              </div>
            {% endfor %}
            
          {% endif %}
        </div>
      </div>
      <button aria-label="Slide anterior" class="swiper-button-prev" type="button"></button>
      <button aria-label="Próximo slide" class="swiper-button-next" type="button"></button>
      <div class="swiper-pagination"></div>
    </div>

  {% endcapture %}
{% endfor %}

{% assign html_products = html_products | strip %}

{% if show_section %}

{% load_banners position: position_title limit: 1 %}
{% for banner in loaded_banners %}
  {% if banner.subtitle != blank %}
    {% assign section_title = banner.subtitle %}
  {% endif %}
{% endfor %}

  <section class="category-tabs section container">

    <div class="header">
      <h2 class="title">{{ section_title }}</h2>
    </div>

    <div class="buttons">
      <div class="buttons-wrapper">
        {{ html_buttons }}
      </div>
    </div>

    {% if html_products != '' %}
      <div class="swipers">
        {{ html_products }}
      </div>
    {% endif %}

  </section>
{% endif %}
